VECSCREEN(1)

NAME
vecscreen - find nucleic acid segments of possible vector origin

SYNOPSIS
vecscreen [-] [-d str] [-f N] [-i filename] [-o filename]

DESCRIPTION
vecscreen is a system for quickly identifying segments of a nucleic acid sequence that may be of vector origin. NCBI developed vecscreen to minimize the incidence and impact of vector contamination in public sequence databases. GenBank Annotation Staff use vecscreen to verify that sequences submitted for inclusion in the database are free from contaminating vector sequence. Any sequence can be screened for vector contamination using vecscreen.

vecscreen searches a query for segments that match any sequence in a specialized non-redundant vector database (UniVec). The search uses BLAST with parameters preset for optimal detection of vector contamination. Those segments of the query that match vector sequences are categorized according to the strength of the match, and their locations are displayed (see example positive result).

vecscreen is designed to quickly check a nucleic acid sequence for the presence of vector contamination and to show which segments within the sequence may be of vector origin. Although a vecscreen search against UniVec will not identify the vector that is the most likely source of the contamination, this can usually be deduced from the cloning history of the sequenced DNA.

OPTIONS
A summary of options is included below.

-   Print usage message

-d str
    Database (default = UniVec)

-f N
    Output format:
    0   HTML format, with alignments (default)
    1   HTML format, no alignments
    2   Text list, with alignments
    3   Text list, no alignments

-i filename
    Query File (default = stdin)

-o filename
    VecScreen report Output File (default = stdout)

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
<http://www.ncbi.nlm.nih.gov/VecScreen/VecScreen_docs.html>